# - Build details for DOLFIN:  Dynamic Object-oriented Library for FINite element computation
#
# This file has been automatically generated.

# FIXME: Check that naming conforms to CMake standards

# Compilers
set(DOLFIN_CXX_COMPILER "/usr/bin/c++")

# Compiler defintions
set(DOLFIN_CXX_DEFINITIONS "-DDOLFIN_VERSION=\"1.4.0\";-DBOOST_UBLAS_NDEBUG;-DDOLFIN_SIZE_T=8;-DHAS_HDF5;-D_LARGEFILE_SOURCE;-D_LARGEFILE64_SOURCE;-D_BSD_SOURCE;-D_FORTIFY_SOURCE=2;-DHAS_UMFPACK;-DHAS_CHOLMOD;-DHAS_CGAL;;-DHAS_ZLIB;-DHAS_MPI;-DHAS_OPENMP;-DHAS_QT4;-DHAS_VTK;-DHAS_QVTK")

# Compiler flags
set(DOLFIN_CXX_FLAGS "-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2  -std=c++11  -Wno-deprecated  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2  -frounding-math  -fopenmp")

# Linker flags
set(DOLFIN_LINK_FLAGS " -Wl,-z,relro  ")

# Include directories
set(DOLFIN_INCLUDE_DIRS "/usr/include")

# Third party include directories
set(DOLFIN_3RD_PARTY_INCLUDE_DIRS "/usr/include/libxml2;/usr/include;/usr/include/suitesparse;/usr/include/suitesparse;/usr/include;/usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi;/usr/include/eigen3;/usr/include;/usr/include/hdf5/openmpi;/usr/include;/usr/include;/usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi;/usr/include/qt4;/usr/include/vtk-5.8")

# Python include directories
set(DOLFIN_PYTHON_INCLUDE_DIRS "/usr/lib/python2.7/dist-packages/numpy/core/include;/usr/include/python2.7")

# Python definitions
set(DOLFIN_PYTHON_DEFINITIONS "-DNUMPY_VERSION_MAJOR=1;-DNUMPY_VERSION_MINOR=8;-DNUMPY_VERSION_MICRO=2;-DNPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION")

# DOLFIN library
set(DOLFIN_LIBRARIES "/usr/lib/aarch64-linux-gnu/libdolfin.so")

# Third-party library directories
set(DOLFIN_3RD_PARTY_LIBRARY_DIRS "")

# Third-party libraries
set(DOLFIN_3RD_PARTY_LIBRARIES "/usr/lib/aarch64-linux-gnu/libxml2.so;/usr/lib/aarch64-linux-gnu/libboost_filesystem.so;/usr/lib/aarch64-linux-gnu/libboost_program_options.so;/usr/lib/aarch64-linux-gnu/libboost_system.so;/usr/lib/aarch64-linux-gnu/libboost_thread.so;/usr/lib/aarch64-linux-gnu/libboost_iostreams.so;/usr/lib/aarch64-linux-gnu/libpthread.so;/usr/lib/aarch64-linux-gnu/hdf5/openmpi/lib/libhdf5.so;/usr/lib/aarch64-linux-gnu/libz.so;/usr/lib/aarch64-linux-gnu/libdl.so;/usr/lib/aarch64-linux-gnu/libm.so;/usr/lib/aarch64-linux-gnu/libumfpack.so;/usr/lib/aarch64-linux-gnu/libamd.so;/usr/lib/libblas.so;/usr/lib/aarch64-linux-gnu/libcholmod.so;/usr/lib/aarch64-linux-gnu/libamd.so;/usr/lib/aarch64-linux-gnu/libcamd.so;/usr/lib/aarch64-linux-gnu/libcolamd.so;/usr/lib/aarch64-linux-gnu/libccolamd.so;/usr/lib/aarch64-linux-gnu/libsuitesparseconfig.a;/usr/lib/aarch64-linux-gnu/librt.so;/usr/lib/liblapack.so;/usr/lib/libblas.so;/usr/lib/libblas.so;/usr/lib/aarch64-linux-gnu/libsuitesparseconfig.a;/usr/lib/aarch64-linux-gnu/libsuitesparseconfig.a;/usr/lib/aarch64-linux-gnu/libcholmod.so;/usr/lib/aarch64-linux-gnu/libamd.so;/usr/lib/aarch64-linux-gnu/libcamd.so;/usr/lib/aarch64-linux-gnu/libcolamd.so;/usr/lib/aarch64-linux-gnu/libccolamd.so;/usr/lib/aarch64-linux-gnu/libsuitesparseconfig.a;/usr/lib/aarch64-linux-gnu/librt.so;/usr/lib/liblapack.so;/usr/lib/libblas.so;/usr/lib/libblas.so;/usr/lib/libCGAL.so;/usr/lib/aarch64-linux-gnu/libboost_thread.so;/usr/lib/aarch64-linux-gnu/libboost_system.so;/usr/lib/aarch64-linux-gnu/libpthread.so;/usr/lib/aarch64-linux-gnu/libgmp.so;/usr/lib/aarch64-linux-gnu/libmpfr.so;/usr/lib/aarch64-linux-gnu/libz.so;/usr/lib/libmpi_cxx.so;/usr/lib/libmpi.so;/usr/lib/aarch64-linux-gnu/libdl.so;/usr/lib/aarch64-linux-gnu/libhwloc.so;/usr/lib/aarch64-linux-gnu/libQtGui.so;/usr/lib/aarch64-linux-gnu/libQtCore.so")

# Third-party libraries that are not required when linking with DOLFIN
set(DOLFIN_EXTRA_3RD_PARTY_LIBRARIES "vtkCommon;vtkFiltering;vtkImaging;vtkGraphics;vtkGenericFiltering;vtkIO;vtkRendering;vtkVolumeRendering;vtkHybrid;vtkWidgets;vtkParallel;vtkInfovis;vtkGeovis;vtkViews;vtkCharts;/usr/lib/libQVTK.so")

# Python libraries
set(DOLFIN_PYTHON_LIBRARIES "/usr/lib/aarch64-linux-gnu/libpython2.7.so")

# Version
set(DOLFIN_VERSION_MAJOR "1")
set(DOLFIN_VERSION_MINOR "4")
set(DOLFIN_VERSION_MICRO "0")
set(DOLFIN_VERSION_STR   "1.4.0")

# The location of the UseDOLFIN.cmake file
set(DOLFIN_USE_FILE "/usr/share/dolfin/cmake/UseDOLFIN.cmake")
